GET /v1/commerce/products/{productID}/options
GET
/v1/commerce/products/{productID}/optionsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
productIDstringrequiredResponses
200OK
itemsProductOption[] | nullrequiredShow propertiesHide properties
Array of
ProductOptionchoicesstring[] | nullidstringrequirednamestringrequiredoption_typestringrequiredprice_delta_amountinteger<int64>requiredproduct_idstringrequiredrequiredbooleanrequireddefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/commerce/products/string/options"const response = await fetch("/v1/commerce/products/string/options", {
method: "GET"
});import requests
response = requests.get(
"/v1/commerce/products/string/options",
)Response
{
"items": [
{
"choices": [
"string"
],
"id": "string",
"name": "string",
"option_type": "string",
"price_delta_amount": 0,
"product_id": "string",
"required": true
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}